petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSSetType

Sets the method to be used as the timestepping solver.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetType(TS ts,TSType type)

Collective on TS

### Input Parameters

| ts | - The TS context
| type | - A known method

### Options Database Command

-ts_type <type> -Sets the method; use -help for a list of available methods (for instance, euler)

### Notes

See "petsc/include/petscts.h" for available methods (for instance)

| TSEULER | - Euler
| TSSUNDIALS | - SUNDIALS interface
| TSBEULER | - Backward Euler
| TSPSEUDO | - Pseudo-timestepping

Normally, it is best to use the TSSetFromOptions() command and then set the TS type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the many different solvers. The TSSetType() routine is provided for those situations where it is necessary to set the timestepping solver independently of the command line or options database. This might be the case, for example, when the choice of solver changes during the execution of the program, and the user's application is taking responsibility for choosing the appropriate method. In other words, this routine is not for beginners.

### See Also

TS, TSSolve(), TSCreate(), TSSetFromOptions(), TSDestroy(), TSType

### Level

intermediate

### Location

src/ts/interface/tsreg.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex15.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages